src/fvm/fvm_triangulate.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
fvm_triangulate.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
Include dependency graph for fvm_triangulate.h:

Go to the source code of this file.

## Enumerations
enum | fvm_triangulate_def_t { FVM_TRIANGULATE_MESH_DEF, FVM_TRIANGULATE_ELT_DEF }

## Functions
fvm_triangulate_state_t * | fvm_triangulate_state_create (const int n_vertices_max)
fvm_triangulate_state_t * | fvm_triangulate_state_destroy (fvm_triangulate_state_t *this_state)
int | fvm_triangulate_polygon (int dim, int n_vertices, const cs_coord_t coords[], const cs_lnum_t parent_vertex_num[], const cs_lnum_t polygon_vertices[], fvm_triangulate_def_t mode, cs_lnum_t triangle_vertices[], fvm_triangulate_state_t *const state)
int | fvm_triangulate_quadrangle (int dim, const cs_coord_t coords[], const cs_lnum_t parent_vertex_num[], const cs_lnum_t quadrangle_vertices[], cs_lnum_t triangle_vertices[])

## Enumeration Type Documentation

enum fvm_triangulate_def_t

Enumerator
FVM_TRIANGULATE_MESH_DEF |
FVM_TRIANGULATE_ELT_DEF |

## Function Documentation

int fvm_triangulate_polygon | ( | int | dim,
|  | int | n_vertices,
|  | const cs_coord_t | coords[],
|  | const cs_lnum_t | parent_vertex_num[],
|  | const cs_lnum_t | polygon_vertices[],
|  | fvm_triangulate_def_t | mode,
|  | cs_lnum_t | triangle_vertices[],
|  | fvm_triangulate_state_t *const | state
| ) |  |

int fvm_triangulate_quadrangle | ( | int | dim,
|  | const cs_coord_t | coords[],
|  | const cs_lnum_t | parent_vertex_num[],
|  | const cs_lnum_t | quadrangle_vertices[],
|  | cs_lnum_t | triangle_vertices[]
| ) |  |

fvm_triangulate_state_t* fvm_triangulate_state_create | ( | const int | n_vertices_max | ) |

fvm_triangulate_state_t* fvm_triangulate_state_destroy | ( | fvm_triangulate_state_t * | this_state | ) |